Skip to main content
`Ctrl`+`K`

# MFNAllocateSolution

Allocate memory storage for common variables such as the basis vectors.

## Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNAllocateSolution(MFN mfn,PetscInt extra)

Collective

## Input Parameters

- mfn - the matrix function solver context

- extra - number of additional positions, used for methods that require a working basis slightly larger than `ncv`

## Developer Note

This is `SLEPC_EXTERN` because it may be required by user plugin `MFN` implementations.

## See Also

MFN: Matrix Function, `MFNSetUp()`, `MFNSetDimensions()`

## Level

developer

## Location

src/mfn/interface/mfnsetup.c

Index of all MFN routines Table of Contents for all manual pages Index of all manual pages